# Tracks: a GTD(TM) web application, built with Ruby on Rails

* Project homepage: http://www.getontracks.org/
* Manual: http://www.getontracks.org/manual/
* Source at GitHub: https://github.com/TracksApp/tracks
* Bug reports and feature requests: https://github.com/TracksApp/tracks/issues
* Wiki (community contributed information): https://github.com/TracksApp/tracks/wiki
* Mailing list: http://groups.google.com/group/TracksApp
* IRC channel: #tracks on Freenode
* Original developer: bsag (http://www.rousette.org.uk/)
* Contributors: https://github.com/TracksApp/tracks/wiki/Contributors
* Version: 2.4.1

[![Build Status](https://github.com/TracksApp/tracks/workflows/Continuous%20Integration/badge.svg)](https://github.com/TracksApp/tracks/actions)
[![Code Climate](https://codeclimate.com/github/TracksApp/tracks/badges/gpa.svg)](https://codeclimate.com/github/TracksApp/tracks)

Full instructions for both new installations and upgrades from older installations of Tracks
can be found within the /doc directory.

The instructions might appear long and intimidatingly complex, but that is
mostly because of the number of different platforms supported, and the
different configurations which can be used (e.g. running Tracks on your local
computer or on a remote server). If you choose the appropriate section for your
situation (installation vs. upgrade), and use the easiest (recommended) method,
you should find the instructions easy to follow. If you encounter problems, try
searching the wiki or mailing list (URLs above), and ask a question if
you cannot find a solution to your problem.

The wiki has a lot of user contributed installation HOWTOs for various webhosts, specific OS's and more.

If you are thinking about contributing towards the development of Tracks,
please read /CONTRIBUTING.md for general information. Also you can find
some information on development, testing and contributing on the wiki.

While fully usable for everyday use, Tracks is still a work in progress. Make
sure that you take sensible precautions and back up all your data frequently,
taking particular care when you are upgrading.

Enjoy being productive!

--------------------------------------------------------------------------------

Copyright (C) 2004-2016 rousette.org.uk

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
